		list      p=18f2550          
		#include <p18f2550.inc>      

;***** DEFINITIONS *****
		#define h_sync PORTA,RA3; 
		#define	v_sync PORTA,RA2; 
		#define	buttonA	PORTC,RC4
		#define	buttonB	PORTC,RC5


		#define	eprom_slc PORTB,RB3; 
		#define	eprom_sda PORTB,RB4; 

; RB2  RB1  RB0 
		#define	color_1 b'111';
		#define	color_2 b'110';
		#define	color_3 b'011';
		#define	color_4 b'010';
		#define	color_5 b'101';
		#define	color_6 b'100';
		#define	color_7 b'001';
		#define	color_8 b'000';

		#define	seg_a 	PORTA,RA0
		#define	seg_b 	PORTA,RA1
		#define	seg_c 	PORTC,RC6
		#define	seg_d 	PORTC,RC7
		#define	seg_e 	PORTC,RC2
		#define	seg_f 	PORTC,RC0
		#define	seg_g 	PORTC,RC1
		#define	seg_h 	PORTA,RA5

;***** VARIABLE DEFINITIONS *****
		cblock	0x5
			v_temp
	
			h_temp
			number_stro_l
			number_stro_h;  
			num_prog ;  

			color_h1
			color_h2
			color_h3
			color_h4
			color_h5
			color_h6
			color_h7
			color_h8
		endc
	
		ORG 	0
		goto	MAIN
		ORG	0x08
		retfie
		ORG	0x18
		retfie


;===========================================================+-
MAIN  	CLRF 	STATUS
		clrf	PORTA
		clrf	PORTB
		clrf	PORTC
		clrf	LATA
		clrf	LATB
		clrf	LATC
		clrf	UCON; USB off
		bsf		UCFG,UTRDIS

		bcf		INTCON,GIE ;  

		clrf	TRISB; 
		clrf	TRISC;
		clrf	TRISA

		bsf		TRISC,RC4;2 - ,  
		bsf		TRISC,RC5

		clrf	ADCON0;  
		movlw	0fh
		movff	WREG,ADCON1
		clrf	ADCON2

		movlw	0
		movff	WREG,num_prog



;++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;   
;		call	BEEP
go_go	call	set_color

		goto	start_1024_768
;		goto	start_1280_800

;***********************************************************************************************

buttons
		

		clrf	PORTB
		bcf		h_sync
		bcf		v_sync;    
		call	BEEP


		movlw	.100
		call	DELAY_X1_MS_WREG



		btfsc	buttonA
		goto	but_B
		; 


		incf	num_prog
		movlw	8; 8  
		cpfslt	num_prog
		clrf	num_prog
sdd		btfss	buttonA
		bra		sdd;    ;)
		movlw	.100
		call	DELAY_X1_MS_WREG


		
		bcf		seg_a;!!!        ,    ,
		;   ""  

		goto	go_go

but_B		

		goto	go_go


	#include <config.asm>
	#include <utils.asm>

	#include <1024_768.asm>

;	#include <1280_1024.asm>
;	#include <800_600.asm>

	#include <set_color.asm>
		end